diff --git a/src/Makefile b/src/Makefile
index e538b6c28..bc741ea8b 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -532,9 +532,9 @@ install_kernels: install_shared
 
 .PHONY: install_modules
 install_modules: install_shared modules
-	$(INSTALL) -m 755 -d                                                    $(DESTDIR)$(SHARED_FOLDER)/modules
-	$(FIND) modules/  -mindepth 1 -type d -execdir $(INSTALL) -m 755 -d     $(DESTDIR)$(SHARED_FOLDER)/modules/{} \;
-	$(FIND) modules/  -mindepth 1 -type f -execdir $(INSTALL) -m 644 {}     $(DESTDIR)$(SHARED_FOLDER)/modules/{} \;
+	$(INSTALL) -m 755 -d                                                    $(DESTDIR)$(LIBRARY_FOLDER)/hashcat/modules
+	$(FIND) modules/  -mindepth 1 -type d -execdir $(INSTALL) -m 755 -d     $(DESTDIR)$(LIBRARY_FOLDER)/hashcat/modules/{} \;
+	$(FIND) modules/  -mindepth 1 -type f -execdir $(INSTALL) -m 644 {}     $(DESTDIR)$(LIBRARY_FOLDER)/hashcat/modules/{} \;
 
 .PHONY: install_library
 install_library: $(HASHCAT_LIBRARY)
diff --git a/src/interface.c b/src/interface.c
index d81b4ec97..5bf3e091a 100644
--- a/src/interface.c
+++ b/src/interface.c
@@ -21,9 +21,9 @@ int module_filename (const folder_config_t *folder_config, const int hash_mode,
 {
   // native compiled
   #if defined (_WIN) || defined (__CYGWIN__)
-  return snprintf (out_buf, out_size, "%s/modules/module_%05d.dll", folder_config->shared_dir, hash_mode);
+  return snprintf (out_buf, out_size, "/usr/lib/hashcat/modules/module_%05d.dll", hash_mode);
   #else
-  return snprintf (out_buf, out_size, "%s/modules/module_%05d.so", folder_config->shared_dir, hash_mode);
+  return snprintf (out_buf, out_size, "/usr/lib/hashcat/modules/module_%05d.so", hash_mode);
   #endif
 }
 
